Description: Regard hardening CFLAGS setting
 Unfortunately I did not succeeded in also injecting LDFLAGS in the same manner.
 It was simply ignored.  So I decided to override the LINKER variable in debian/rules.
Author: Andreas Tille <tille@debian.org>
Date: Tue, 18 Dec 2012 16:41:28 +0100
Forwarded: not-needed

--- a/Makefile
+++ b/Makefile
@@ -17,9 +17,9 @@ else
 endif
 
 ifeq ($(findstring nommap,$(MAKECMDGOALS)),)
-  CXXFLAGS += $(DBGFLAGS) $(BASEFLAGS)
+  CXXFLAGS := $(DBGFLAGS) $(BASEFLAGS) $(CPPFLAGS) $(CFLAGS)
 else
-  CXXFLAGS += $(DBGFLAGS) $(BASEFLAGS) -DNO_MMAP
+  CXXFLAGS := $(DBGFLAGS) $(BASEFLAGS) -DNO_MMAP $(CPPFLAGS) $(CFLAGS)
 endif
 
 %.o : %.c
@@ -42,7 +42,7 @@ endif
 LINKER    := ${CXX}
 #LDFLAGS = 
 #uncomment this when ENABLE_COMPRESSION
-LDFLAGS    += -lz
+LDFLAGS    := -lz $(LDFLAGS)
 
 .PHONY : all
 all:    cdbfasta cdbyank 
